com.hazelcast.nio.tcp

## Class DefaultChannelInitializerProvider

- java.lang.Object
- - com.hazelcast.nio.tcp.DefaultChannelInitializerProvider

- All Implemented Interfaces:
    com.hazelcast.internal.networking.ChannelInitializerProvider

      public class DefaultChannelInitializerProvider
      extends Object
      implements com.hazelcast.internal.networking.ChannelInitializerProvider

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IOService` | `ioService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultChannelInitializerProvider(IOService ioService, Config config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init()`
    `com.hazelcast.internal.networking.ChannelInitializer` | `provide(EndpointQualifier qualifier)`
    `protected com.hazelcast.internal.networking.ChannelInitializer` | `provideClientChannelInitializer(EndpointConfig endpointConfig)`
    `protected com.hazelcast.internal.networking.ChannelInitializer` | `provideMemberChannelInitializer(EndpointConfig endpointConfig)`
    `protected com.hazelcast.internal.networking.ChannelInitializer` | `provideTextChannelInitializer(EndpointConfig endpointConfig, boolean rest)`
    `protected com.hazelcast.internal.networking.ChannelInitializer` | `provideUnifiedChannelInitializer()`
    `protected com.hazelcast.internal.networking.ChannelInitializer` | `provideWanChannelInitializer(EndpointConfig endpointConfig)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ioService

          protected final IOService ioService

  - ### Constructor Detail

    - #### DefaultChannelInitializerProvider

          public DefaultChannelInitializerProvider(IOService ioService,
                                                   Config config)

  - ### Method Detail

    - #### provide

          public com.hazelcast.internal.networking.ChannelInitializer provide(EndpointQualifier qualifier)

      Specified by:
        `provide` in interface `com.hazelcast.internal.networking.ChannelInitializerProvider`

    - #### init

          public void init()

    - #### provideUnifiedChannelInitializer

          protected com.hazelcast.internal.networking.ChannelInitializer provideUnifiedChannelInitializer()

    - #### provideMemberChannelInitializer

          protected com.hazelcast.internal.networking.ChannelInitializer provideMemberChannelInitializer(EndpointConfig endpointConfig)

    - #### provideClientChannelInitializer

          protected com.hazelcast.internal.networking.ChannelInitializer provideClientChannelInitializer(EndpointConfig endpointConfig)

    - #### provideTextChannelInitializer

          protected com.hazelcast.internal.networking.ChannelInitializer provideTextChannelInitializer(EndpointConfig endpointConfig,
                                                                                                       boolean rest)

    - #### provideWanChannelInitializer

          protected com.hazelcast.internal.networking.ChannelInitializer provideWanChannelInitializer(EndpointConfig endpointConfig)

Copyright © 2019. All rights reserved.